import pandas as pd
import json

path = "download.xlsx"
name_set = set()
id_set = set()
name_id_dict = {}
df_list = pd.read_excel(path, usecols=[17, 18]).values.tolist()

for item in df_list:
    name_set.add(item[0])
    id_set.add(item[1])
    key = item[1]
    value = str(item[0])
    if name_id_dict.get(key):
        name_id_dict[key].add(value)
    else:
        name_id_dict[key] = set()
        name_id_dict[key].add(value)

print(len(name_set))
print(len(id_set))
count = 0

for key in name_id_dict:
    if len(name_id_dict[key]) > 1:
        print(key, "\t", name_id_dict[key])
        count += 1

print(name_id_dict['MzUzMjMxNTE3Ng=='])


# with open("fake_id.json", "w", encoding="utf-8") as f:
#     f.write(json.dumps(list(id_set)))